locked
App-V 5.1 server hotfix package installation problem RRS feed

  • Question

  • Hi,

    I tried to run hotfix 1 (or hotfix 3, result is same) package to our server but it gives an error message:

    "The Application Virtualization update setup did not finish because the target version of App-V Server is not installed."

    I suppose App-V 5.1 server build should be 5.1.86.0 (https://support.microsoft.com/en-us/kb/2940578) but our server is 5.1.85.0. Any ideas what to do? Thanks!

    Thursday, March 17, 2016 12:10 PM

Answers

  • check your installed hotfixes, most likely an old entry is still there. I had the same after upgrading from SP2 to 5.1. Just select the old hotfix, remove it, and run the new hotfix again.

    Roy Essers

    • Marked as answer by Tom Jr Thursday, March 17, 2016 1:53 PM
    Thursday, March 17, 2016 1:36 PM

All replies

  • Version 5.1.85 should be normal, my Servers also have this Version.

    Which exact HF, are you applying? There is not Hotfix 3 for App-V 5.1 yet.

    The current Hotfix right now is HF02: https://support.microsoft.com/en-us/kb/3139245


    Simon Dettling | msitproblog.com | @SimonDettling

    Thursday, March 17, 2016 12:15 PM
    Moderator
  • Sorry for typo, I meant KB3139245 which I tried to install without success.

    Our App-V server was updated to 5.1 from 5.0 SP1 if it does make any difference. Latest installed update for 5.0 SP1 was HF04 (KB2940354).


    Thursday, March 17, 2016 1:23 PM
  • check your installed hotfixes, most likely an old entry is still there. I had the same after upgrading from SP2 to 5.1. Just select the old hotfix, remove it, and run the new hotfix again.

    Roy Essers

    • Marked as answer by Tom Jr Thursday, March 17, 2016 1:53 PM
    Thursday, March 17, 2016 1:36 PM
  • KB3139245 includes HF2 for AppV 5.1 & HF3 for 5.0 SP3. So you mean to say that you are trying to Install this KB on AppV 5.1 & you got an error that target version of App-V Server is not installed.

    Can you see if you can Install HF1 & then you can Install HF2?


    Posted AS IS with No Warranties. Mark as Answer if this answers your question, It will help other community members.

    Thursday, March 17, 2016 1:41 PM
  • Thanks, that did the trick! After uninstalling old 5.0 hotfixes 5.1 HF2 installed smoothly.

    Thursday, March 17, 2016 1:53 PM